Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Does not start on Manjaro / Antergos #10

Open
Bleuzen opened this issue Nov 29, 2018 · 10 comments

Comments

Projects
None yet
8 participants
@Bleuzen
Copy link

commented Nov 29, 2018

Hi, I try to run Deepin Clone on my Manjaro system with the KDE Plasma desktop.
Sadly I can't get it to launch.

When running from menu, I get prompted to enter my password to run as root but nothing happens. No window opens.

I launched it in a terminal and got this output:
-> sudo deepin-clone

[2018-11-29, 21:00:30.501] [Warning] [=>: 0] QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
[2018-11-29, 21:00:30.507] [Debug  ] [dapplication.cpp=>Dtk::Widget::DApplicationPrivate::setSingleInstanceByDbus: 203] register service failed: QDBusError("org.freedesktop.DBus.Error.Disconnected", "Not connected to D-Bus server")
[2018-11-29, 21:00:30.507] [Error  ] [main.cpp=>main: 143] As well as the process is running

There is still no window. It doesn't open.

I'm currently using version 0.1.2-1 from the Archlinux repo.

Edit: I also tested it on Antergos with the Deepin desktop. Same problem there.
Now I'm not sure if this is a deepin-clone bug or a archlinux packaging bug.

@Bleuzen Bleuzen changed the title Does not start on Manjaro with KDE Does not start on Manjaro / Antergos Nov 30, 2018

@ThomasChevalier

This comment has been minimized.

Copy link

commented Dec 5, 2018

Same issue with the 0.1.2-1 version on archlinux with deepin desktop. The issue persist when i downgraded to 0.1.1-1.

@ASDFGamer

This comment has been minimized.

Copy link

commented Dec 13, 2018

I have the same issue with Openbox on Manjaro and the 0.1.2-1 version. It can run with user rights, but then I don't have the needed Permissions on sd(a,b,..).

@Bleuzen

This comment has been minimized.

Copy link
Author

commented Dec 15, 2018

@zccrs Hey, could you please have a look at it?

@Wan-ZL

This comment has been minimized.

Copy link

commented Jan 28, 2019

在manjaro的deepin桌面环境中也有同样的问题。不用管理员权限可以打开(有软件窗口弹出),但会报权限不够的错误。如果用管理员权限打开则不会有窗口弹出,会显示以下错误:
The same thing happened to Manjaro-Deepin Environment. I can get a window with command "deepin-clone", but then Permission error happen. If I run command "sudo deepin-clone", I got:

[Warning] [=>: 0] QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
[2019-01-28, 12:23:21.464] [Debug ] [dapplication.cpp=>Dtk::Widget::DApplicationPrivate::setSingleInstanceByDbus: 203] register service failed: QDBusError("org.freedesktop.DBus.Error.Disconnected", "Not connected to D-Bus server")
[2019-01-28, 12:23:21.464] [Error ] [main.cpp=>main: 143] As well as the process is running

@h35jqh

This comment has been minimized.

Copy link

commented Feb 2, 2019

Hi I am relatively new to github. I had the same problem getting deepin-clone refusing to run on the latest Majaro Deepin with the latest updates. I found a fix that worked for me. It may work for you's. The error org.freedesktop.DBus.Error got me thinking that the problem would be in the freedesktop side. So I looked at the free desktop install options and found that the Manjaro default installation installed.
dbus 1.12.12-1

When I installed
dbus-x11 1.12.12-1
over top of it it removed dbus 1.12.12-1 and replaced it and the deepin-clone on the apps menu ran successfully with root privilege.

Hope it helps. I did a test backup and found it worked ok for an NTFS partition and UEFI partion fat32.
Best Regards
Ed.

@KimHono

This comment has been minimized.

Copy link

commented Feb 18, 2019

This command is working fine without installation :
dbus-launch --exit-with-session /usr/bin/deepin-clone

@h35jqh

This comment has been minimized.

Copy link

commented Feb 22, 2019

@zccrs

This comment has been minimized.

Copy link
Member

commented Feb 22, 2019

Hi, What version of the dbus package?

@Bleuzen

This comment has been minimized.

Copy link
Author

commented Feb 22, 2019

I'm using dbus version 1.12.12-1 here.

@FFY00

This comment has been minimized.

Copy link

commented Apr 11, 2019

@KimHono that doesn't solve anything, that just doesn't use polkit. If you replace it with /usr/bin/deepin-clone it works, as expected, because polkit isn't being used. deepin-clone-pkexec need to be fixed. @zccrs what do you think?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.